如何按实体名称选择 Autocad 实体以在 Lisp 中的 autocad 命令中使用

发布于 2024-09-29 19:03:32 字数 100 浏览 1 评论 0原文

这可能是一些简单的事情,我只是一直想念,但是...

我可以获取实体名称,但是是否可以使用分配给变量的实体名称来让 Autocad 命令使用该实体作为要执行操作的选定对象?

This might be something simple that I just keep missing but...

I can get the entity name but is there anyway to use an entity name assigned to a varible to have an Autocad command use the entity as the selected object to act on?

如果你对这篇内容有疑问,欢迎到本站社区发帖提问 参与讨论,获取更多帮助,或者扫码二维码加入 Web 技术交流群。

扫码二维码加入Web技术交流群

发布评论

需要 登录 才能够评论, 你可以免费 注册 一个本站的账号。

评论(1

笑看君怀她人 2024-10-06 19:03:32

要在“立即”模式下使用,请在变量名称前添加感叹号 (!)。

例如,将实体保存到名为“ent”的变量...

(setq ent (car (entsel)))

然后在命令行中,例如移动命令:

Command: move [enter]
Select objects: !ent <Entity name: 7ffff716c80> 1 found
Select objects: [enter] ;; to terminate selection process
Specify base point or [Displacement] ...

否则,在代码中使用(假设变量 p1 和 p2 已正确设置):

(command ".move" ent "" p1 p2)

请记住,如上所述,任何正在运行的 osnap 设置都将受到尊重,并且可能是一个“陷阱”。

To use in "immediate" mode precede the name of the variable with an exclamation mark (!).

e.g. save an entity to a variable named 'ent' ...

(setq ent (car (entsel)))

Then at the command line, say for example, the move command:

Command: move [enter]
Select objects: !ent <Entity name: 7ffff716c80> 1 found
Select objects: [enter] ;; to terminate selection process
Specify base point or [Displacement] ...

Otherwise, to use in code (assuming vars p1 and p2 are properly set):

(command ".move" ent "" p1 p2)

Keep in mind, as coded above, any running osnap settings will be honored, and can be a "gotcha".

~没有更多了~
我们使用 Cookies 和其他技术来定制您的体验包括您的登录状态等。通过阅读我们的 隐私政策 了解更多相关信息。 单击 接受 或继续使用网站,即表示您同意使用 Cookies 和您的相关数据。
原文